Skip to main content
`Ctrl`+`K`

# PetscHMapI

Hash table map with a key of PetscInt

## Synopsis

    typedef struct _PetscHashI PetscHMapI;

## Synopsis

    typedef khash_t(HMapI) *PetscHMapI;

## See Also

`PETSC_HASH_MAP()`, `PetscHMapICreate()`, `PETSC_HASH_SET()`, `PetscHSetICreate()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

## Examples

src/dm/impls/plex/tutorials/ex18.c
src/dm/impls/plex/tutorials/ex19.c
src/sys/tutorials/ex7.c

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages